Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1249270 - Review Request: php-composer-firephp-core - library for sending PHP variables to the browser
Summary: Review Request: php-composer-firephp-core - library for sending PHP variables...
Keywords:
Status: CLOSED DEFERRED
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2015-08-01 04:05 UTC by Marcin Haba
Modified: 2015-08-18 14:57 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-08-18 08:44:17 UTC


Attachments (Terms of Use)

Description Marcin Haba 2015-08-01 04:05:22 UTC
Spec URL: http://www.bacula.pl/downloads/firephp-core/php-composer-firephp-core.spec
SRPM URL: http://www.bacula.pl/downloads/firephp-core/php-composer-firephp-core-0.4.0-1.fc22.src.rpm
Description: FirePHP is an advanced logging system that can display PHP variables in the browser as an application is navigated. All communication is out of band to the application meaning that the logging data will not interfere with the normal functioning of the application.
Fedora Account System Username: ganiuszka

It is my second review request. I am already added to "need-sponsor" list.

Comment 1 Marcin Haba 2015-08-01 21:41:57 UTC
Here is Koji task that I just executed on php-composer-firephp-core package:

https://koji.fedoraproject.org/koji/taskinfo?taskID=10573920

Comment 2 Remi Collet 2015-08-10 05:58:19 UTC
small notes

Package name is not correct, nothing related to composer.

Should be, according to Guildelines php-firephp-firephp-core
(perhaps php-firephp-core is acceptable)

No reason to install in /usr/share/php/Composer
This lib doesn't comply to PSR-0, so installation should be in some unique directory.

e.g. /usr/share/php/FirePHPCore should be ok

As this library doesn't use namespace and is not PSR-0 compliant, the symfony autoloader can't be used (composer.json states "classmap", so you need a classmap autoloader, but as this is only 2 files, and fb.php defines functions outside class; and include FirePHP.class.php, you probably don't need any).

Notice: source0 seems to comply with current Guildelines (which are mostly "do what you want"), but as I don't consider using the "tag" as a good idea, I will NOT do the review.

Comment 3 Marcin Haba 2015-08-10 06:19:17 UTC
Hello Remi,

Thank you for your notes and advises.

I will try to prepare all these changes today.

(In reply to Remi Collet from comment #2)
> Notice: source0 seems to comply with current Guildelines (which are mostly
> "do what you want"), but as I don't consider using the "tag" as a good idea,
> I will NOT do the review.

I am not sure if I good understand this sentece. Could I ask you about small info about that what did you mean here?

Thanks in advance.

Comment 4 Remi Collet 2015-08-10 06:35:15 UTC
See https://lists.fedoraproject.org/pipermail/packaging/2015-June/thread.html
(github URL and SourceURL threads)

Comment 5 Marcin Haba 2015-08-10 06:51:17 UTC
@Remi,
Thanks for the link. I was not aware this discussion on mailing list.

Comment 6 Marcin Haba 2015-08-10 21:11:29 UTC
I changed Spec according to Remi's points:

- Rename package name
- Remove all composer dependencies from Spec

and I added LICENSE.txt file about which I requested to upstream with success:

- Include new license file

Spec URL: http://www.bacula.pl/downloads/firephp-core/php-firephp-core.spec
SRPM URL: http://www.bacula.pl/downloads/firephp-core/php-firephp-core-0.4.0-2.fc22.src.rpm

Comment 7 Marcin Haba 2015-08-17 20:04:31 UTC
Please close this ticket. I feel discouraged to continue work on this package. Thank you every person who participated in this ticket for effort in review process and for valuable advices.

Comment 8 Parag AN(पराग) 2015-08-18 09:12:08 UTC
Sad that you feel discouraged maybe due to because of sudden pressure created by thread on devel list. I really think in the fedora package review, we need to educate more to new contributors not to the sponsor status people to sponsor people as early as possible.

I always keep saying that if new contributors come with one or more package submissions along with more than 3 to 5 package reviews done for other people's new package submission then it will be very easy task for sponsor to sponsor new contributors.

Hope you will consider to come back again in future with all the required things to get sponsorship prepared already.

Thanks for your submissions.

Comment 9 Michael Schwendt 2015-08-18 11:26:57 UTC
Parag, "sudden pressure"?

This is what Marcin's potential sponsor [1] commented on this:
https://lists.fedoraproject.org/pipermail/devel/2015-August/213489.html

[1] https://bugzilla.redhat.com/1203018#c19

Comment 10 Parag AN(पराग) 2015-08-18 14:57:17 UTC
Michael,
  Sorry if I was unclear with my previous comment but its not for you but in general and specifically for Miroslav Suchý who is unnecessarily creating pressure on sponsors. I just don't want to fight on mailing list to increase unnecessary discussions. At one side we are getting results that some people are inactive sponsors and other side we just don't want to remove them from sponsors. I think we can find few people who has not at all sponsored anyone or in last 3 years since they get sponsor status and we still want to keep their sponsor status. Just check https://admin.fedoraproject.org/accounts/group/members/packager/*?order_by=sponsor

  Though new contributor queue is very much important for us (sponsors) but no one then talks about long queue of Hidden tickets and New tickets on https://fedoraproject.org/PackageReviewStatus. We should also work on that.

  If I see counts then needsponsor is just around 100 whereas both other queue are around 300, thus more than 600 tickets awaiting for package reviews. This queue is same in count since last 7 years at least.

  Like I said in sponsorship process I see there is more responsibility to contributor than sponsor. Contributors are not taking efforts to go through our sponsorship and package review process. I have seen some examples where new contributors got sponsorship within 1-2 months because they read the wiki pages, they come on irc channels, discuss their problems and do required activities and get the sponsorship. It is that simple. 

   Some people may take more time to learn but they should tell sponsors like that. I have one ongoing example where contributor want to learn packaging more before doing any required sponsorship activity see https://bugzilla.redhat.com/show_bug.cgi?id=1094015 , its another thing that how long I need to wait for him.

And let me take the opportunity here to say *** BIG Thanks *** to you for your continuous help in Fedora package reviewing which I am seeing since many years.


Note You need to log in before you can comment on or make changes to this bug.